//~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ <WALLS & FLOOR> ~~~~~//
//~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/darkjumps_b5/wall_slick
{
	qer_editorimage textures/darkjumps_b5thumbs/wall_slick
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/wall
		blendFunc filter
	}
}
	
textures/darkjumps_b5/wall2_slick:q3map
{
	surfaceparm slick
}

textures/darkjumps_b5/trim_slick
{
	qer_editorimage textures/darkjumps_b5thumbs/trim_slick
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/trim
		blendfunc filter
	}
}

textures/darkjumps_b5/metal_grey:q3map
{
	surfaceparm slick
	surfaceparm nodamage
}

textures/darkjumps_b5/metal_grey_wj
{
	qer_editorimage textures/darkjumps_b5/metal_grey
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/metal_grey
		blendfunc filter
	}
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ </WALLS & FLOOR> ~~~~~//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~//

//~~~~~~~~~~~~~~~~~~~~//
//~~~~~ <GLASS> ~~~~~//
//~~~~~~~~~~~~~~~~~~//

textures/darkjumps_b5/glass_black
{
	qer_trans 0.8
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		map textures/darkjumps_b5/glass_black.tga
		tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/darkjumps_b5/glass_black_nd
{
	qer_trans 0.8
	qer_editorimage textures/darkjumps_b5thumbs/glass_black_nd
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		map textures/darkjumps_b5/glass_black.tga
		tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

textures/darkjumps_b5/glass_black_dull
{
	qer_editorimage textures/darkjumps_b5thumbs/glass_black_dull
	qer_trans 0.8
	surfaceparm trans
	surfaceparm slick
	cull disable
	
	{
		map textures/darkjumps_b5/glass_black.tga
        blendfunc gl_one gl_one
        rgbGen identity
    }
	
    {
		map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
    }
}

//~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ </GLASS> ~~~~~//
//~~~~~~~~~~~~~~~~~~~//

//~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ <LIGHTS> ~~~~~//
//~~~~~~~~~~~~~~~~~~~//

textures/darkjumps_b5/light_flash_green
{
	qer_editorimage textures/darkjumps_b5/light_green.tga
	surfaceparm slick
	{
		map textures/darkjumps_b5/light_green.tga
		rgbGen wave square 1.5 1 0 1 
	}
}

textures/darkjumps_b5/light_orange
{
	q3map_surfacelight 14000
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_orange.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_orange.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkjumps_b5/light_red
{
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkjumps_b5/light_red_bight
{
	qer_editorimage textures/darkjumps_b5/light_red.jpg
	q3map_surfacelight 4500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkjumps_b5/light_green
{
	q3map_surfacelight 500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_green.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkjumps_b5/fall_through
{
	qer_editorimage textures/darkjumps_b5/light_red
	q3map_surfacelight 1500
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkjumps_b5/light_red.jpg
		blendfunc GL_ONE GL_ONE
	}
}

//~~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ </LIGHTS> ~~~~~//
//~~~~~~~~~~~~~~~~~~~~//

//~~~~~~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ <WATER & SKY> ~~~~~//
//~~~~~~~~~~~~~~~~~~~~~~~~//

textures/darkjumps_b5/water
{
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/darkjumps_b5/water
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/darkjumps_b5/water
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/darkjumps_b5/skylab_skybox
{
	qer_editorimage env/darkjumps_b5/skylab_ft
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 1.00 1.00 70 90 90
	q3map_surfacelight 70
	skyparms env/darkjumps_b5/skylab - -
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//~~~~~ </WATER & SKY> ~~~~~//
//~~~~~~~~~~~~~~~~~~~~~~~~~//

//~~~~~~~~~~~~~~~~~~~//
//~~~~~ <MISC> ~~~~~//
//~~~~~~~~~~~~~~~~~//

textures/darkjumps_b5/display_screen
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/darkjumps_b5/nolightmap
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/darkjumps_b5/teleport
{
	q3map_surfacelight 250
	surfaceparm nodamage
	surfaceparm trans
	{
		map textures/darkjumps_b5/teleport
		tcmod scroll .1 .1
		blendfunc add
	}
	{
		map textures/darkjumps_b5/teleport
		tcmod scroll -.1 -.1
		blendfunc filter
	}	
}

textures/darkjumps_b5/god
{
	q3map_surfacelight 800
	{ 
		map textures/darkjumps_b5/god
		rgbgen identity
		tcmod scroll 0.2 0.2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/darkjumps_b5/blackhole
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nodamage
	surfaceparm nonsolid
    cull none
	{
		map textures/darkjumps_b5/blackhole           
		blendfunc filter
	}  
}

textures/darkjumps_b5/nolightmap:q3map
{
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm nodamage
}

textures/darkjumps_b5/white:q3map
{
	surfaceparm slick
}
//~~~~~~~~~~~~~~~~~~~~//
//~~~~~ </MISC> ~~~~~//
//~~~~~~~~~~~~~~~~~~//